/* 
 * Eneso Hotkey Library
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __EHOTKEY_H__
#define __EHOTKEY_H__

#include <stdint.h>

#define EHK_MOD_SHIFT	(1 << 0)
#define EHK_MOD_CTRL	(1 << 1)
#define EHK_MOD_ALT		(1 << 2)

typedef void (*EHotkeyCb) (int id);

void
ehotkey_init		(EHotkeyCb key_cb);
void
ehotkey_terminate	(void);
int
ethokey_register 	(int id, uint16_t mods, uint16_t key);
void
ethokey_unregister 	(int id);

#endif /* __EHOTKEY_H__ */
