/* 
 * enPathia
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __ACTION_H__
#define __ACTION_H__

#include <cairo.h>

typedef enum
{
	CANCEL,
	KEYBOARD,
	CLICK,
	EXECUTE,
	OPTIONS,
	DRAG,
	DROP,
	N_ACTIONS
}
Action;

extern gchar*			action_text	[N_ACTIONS];
extern cairo_surface_t*	action_image [N_ACTIONS][3];
extern cairo_surface_t*	action_more_image [3];

extern gboolean	dragging;

void 
init_actions	(void);
void 
destroy_actions	(void);
void 
execute_action	(Action action);

#endif /* __ACTION_H__ */
